package cn.hnthyy.thmz.vo;

import lombok.Data;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.apache.commons.lang3.time.DateUtils;

import java.util.Date;

/**
 * 可以被重打结算列表用户与日期对象
 */
@Data
public class DcountDateListVo {
    private String operatorId;
    private Date  dcountDate;
    private String dcountDateStr;

    public void setDcountDate(Date dcountDate) {
        this.dcountDate = dcountDate;
        if(dcountDate!=null){
            dcountDateStr= DateFormatUtils.format(dcountDate, "yyyy-MM-dd HH:mm:ss:SSS");
        }
    }
}
